aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAhmed Ghanem <[email protected]>2018-02-11 16:11:59 -0700
committerBrian Behlendorf <[email protected]>2019-02-04 09:27:37 -0800
commit96342996577aac97fc9eaa0c0a9f74377dc9e336 (patch)
treee06aae46c21c9077890ce5b315720a6bd6b687fc /scripts
parent1a745ef62ebdab0e1022908fc9c3280746acf462 (diff)
OpenZFS 9185 - Enable testing over NFS in ZFS performance tests
This change makes additions to the ZFS test suite that allows the performance tests to run over NFS. The test is run and performance data collected from the server side, while IO is generated on the NFS client. This has been tested with Linux and illumos NFS clients. Authored by: Ahmed Ghanem <[email protected]> Reviewed by: Dan Kimmel <[email protected]> Reviewed by: John Kennedy <[email protected]> Reviewed by: Kevin Greene <[email protected]> Reviewed-by: Richard Elling <[email protected]> Reviewed-by: Brian Behlendorf <[email protected]> Ported-by: John Kennedy <[email protected]> Signed-off-by: John Kennedy <[email protected]> OpenZFS-issue: https://www.illumos.org/issues/9185 Closes #8367
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/zfs-tests.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/scripts/zfs-tests.sh b/scripts/zfs-tests.sh
index f00a28484..7c5286ba7 100755
--- a/scripts/zfs-tests.sh
+++ b/scripts/zfs-tests.sh
@@ -273,6 +273,7 @@ OPTIONS:
-f Use files only, disables block device tests
-S Enable stack tracer (negative performance impact)
-c Only create and populate constrained path
+ -n NFSFILE Use the nfsfile to determine the NFS configuration
-I NUM Number of iterations
-d DIR Use DIR for files and loopback devices
-s SIZE Use vdevs of SIZE (default: 4G)
@@ -295,7 +296,7 @@ $0 -x
EOF
}
-while getopts 'hvqxkfScd:s:r:?t:T:u:I:' OPTION; do
+while getopts 'hvqxkfScn:d:s:r:?t:T:u:I:' OPTION; do
case $OPTION in
h)
usage
@@ -324,6 +325,12 @@ while getopts 'hvqxkfScd:s:r:?t:T:u:I:' OPTION; do
constrain_path
exit
;;
+ n)
+ nfsfile=$OPTARG
+ [[ -f $nfsfile ]] || fail "Cannot read file: $nfsfile"
+ export NFS=1
+ . "$nfsfile"
+ ;;
d)
FILEDIR="$OPTARG"
;;